<script>
	export default {
		onLaunch: function(info) {
			console.log('App Launch');
      if (info.referrerInfo?.extraData?.uniMP) {
        uni.setStorageSync('uniMP', info.referrerInfo?.extraData?.uniMP);
        uni.setStorageSync('APP_token', info.referrerInfo?.extraData?.token);
        if(info.referrerInfo?.extraData?.avatar){
          uni.setStorageSync('avatar', info.referrerInfo?.extraData?.avatar);
          uni.$emit('MPinfo', {
            avatar: info.referrerInfo?.extraData?.avatar,
          });
        }
      }
		},
		onShow: function() {
			console.log('App Show');
		},
		onHide: function() {
			console.log('App Hide');
		}
	}
</script>

<style>
	/*每个页面公共css */
</style>
